### Function

# ICalGLib memory_tmp_copy

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_memory_tmp_copy (
      const gchar* str
    )

#### Description [src]

Like strdup, but the buffer is on the ring.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  The string to be copied.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The new copy of the `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.